# DisplaySafeAreas(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``DisplaySafeAreas`(bpy_struct)

  Safe Areas used in 3D view and the VSE

  `action`

    Safe area for general elements

    Type: | float array of 2 items in [0, 1], default (0.1, 0.05)

  `action_center`

    Safe area for general elements in a different aspect ratio

    Type: | float array of 2 items in [0, 1], default (0.15, 0.05)

  `title`

    Safe area for text and graphics

    Type: | float array of 2 items in [0, 1], default (0.035, 0.035)

  `title_center`

    Safe area for text and graphics in a different aspect ratio

    Type: | float array of 2 items in [0, 1], default (0.175, 0.05)

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Scene.safe_areas` |